# Uses of Interface
org.springframework.beans.PropertyEditorRegistrar

Packages that use PropertyEditorRegistrar
Package
Description
org.springframework.beans
This package contains interfaces and classes for manipulating Java beans.
org.springframework.beans.factory.config
SPI interfaces and configuration-related convenience classes for bean factories.
org.springframework.beans.factory.support
Classes supporting the `org.springframework.beans.factory` package.
org.springframework.beans.support
Classes supporting the org.springframework.beans package, such as utility classes for sorting and holding lists of beans.

## Uses of PropertyEditorRegistrar in org.springframework.beans

Methods in org.springframework.beans with parameters of type PropertyEditorRegistrar
Modifier and Type
Method
Description
`void`
PropertyEditorRegistrySupport.`setDefaultEditorRegistrar(PropertyEditorRegistrar registrar)`
Set a registrar for default editors, as a lazy way of overriding default editors.

## Uses of PropertyEditorRegistrar in org.springframework.beans.factory.config

Methods in org.springframework.beans.factory.config with parameters of type PropertyEditorRegistrar
Modifier and Type
Method
Description
`void`
ConfigurableBeanFactory.`addPropertyEditorRegistrar(PropertyEditorRegistrar registrar)`
Add a PropertyEditorRegistrar to be applied to all bean creation processes.
`void`
CustomEditorConfigurer.`setPropertyEditorRegistrars(PropertyEditorRegistrar[] propertyEditorRegistrars)`
Specify the `PropertyEditorRegistrars` to apply to beans defined within the current application context.

## Uses of PropertyEditorRegistrar in org.springframework.beans.factory.support

Methods in org.springframework.beans.factory.support that return types with arguments of type PropertyEditorRegistrar
Modifier and Type
Method
Description
`Set<PropertyEditorRegistrar>`
AbstractBeanFactory.`getPropertyEditorRegistrars()`
Return the set of PropertyEditorRegistrars.
Methods in org.springframework.beans.factory.support with parameters of type PropertyEditorRegistrar
Modifier and Type
Method
Description
`void`
AbstractBeanFactory.`addPropertyEditorRegistrar(PropertyEditorRegistrar registrar)`

## Uses of PropertyEditorRegistrar in org.springframework.beans.support

Classes in org.springframework.beans.support that implement PropertyEditorRegistrar
Modifier and Type
Class
Description
`class`
`ResourceEditorRegistrar`
PropertyEditorRegistrar implementation that populates a given `PropertyEditorRegistry` (typically a `BeanWrapper` used for bean creation within an `org.springframework.context.ApplicationContext`) with resource editors.